# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/spi/axiado,ax3000-spi.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Axiado AX3000 SoC SPI controller

maintainers:
  - Vladimir Moravcevic <vmoravcevic@axiado.com>
  - Tzu-Hao Wei <twei@axiado.com>
  - Swark Yang <syang@axiado.com>
  - Prasad Bolisetty <pbolisetty@axiado.com>

allOf:
  - $ref: spi-controller.yaml#

properties:
  compatible:
    enum:
      - axiado,ax3000-spi

  reg:
    maxItems: 1

  interrupts:
    maxItems: 1

  clock-names:
    items:
      - const: ref
      - const: pclk

  clocks:
    maxItems: 2

  num-cs:
    description: |
      Number of chip selects used.
    $ref: /schemas/types.yaml#/definitions/uint32
    minimum: 1
    maximum: 4
    default: 4

required:
  - compatible
  - reg
  - interrupts
  - clock-names
  - clocks

unevaluatedProperties: false

examples:
  - |
   #include <dt-bindings/interrupt-controller/irq.h>
   #include <dt-bindings/interrupt-controller/arm-gic.h>

   soc {
      #address-cells = <2>;
      #size-cells = <2>;

      spi@80510000 {
         compatible = "axiado,ax3000-spi";
         reg = <0x00 0x80510000 0x00 0x1000>;
         clock-names = "ref", "pclk";
         clocks = <&spi_clk>, <&apb_pclk>;
         interrupt-parent = <&gic500>;
         interrupts = <GIC_SPI 115 IRQ_TYPE_LEVEL_HIGH>;
         num-cs = <4>;
      };
   };
...
